Subject: openbsc.git branch master updated. 0.13.0-400-g889710c
From: [email-masked]
To: [email-masked]
Date: Tue, 3 Jun 2014 11:33:36 GMT

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The OpenBSC GSM Base Station Controller (+MSC/HLR/SGSN)".

The branch, master has been updated
       via  889710c8907ae69636cc1ce3f521d91328016e53 (commit)
       via  0e4e73a8914eb59a9d11a36c001cea0f22b7e8c6 (commit)
       via  1e93b79cce4702fb79fa4fe8990a1bbcdb97b4f0 (commit)
       via  f0405068d8e53ecd6126af04e1c96155dce80e82 (commit)
       via  5308fffc5302ff36317852b7b25ad146376725e0 (commit)
      from  4f0381b1c32a7d238d5ef1bb3146ec5f299c0e9e (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/openbsc/commit/?id=889710c8907ae69636cc1ce3f521d91328016e53

commit 889710c8907ae69636cc1ce3f521d91328016e53
Merge: 5308fff 0e4e73a
Author: Holger Hans Peter Freyther <[email-masked]>
Date:   Tue Jun 3 13:24:56 2014 +0200

    Merge branch 'hfreyther/fixes/channel-release-handling'
    
    The patches were posted to the ML but didn't receive review
    there. At the time I merge the change I did a Location Updating
    Request and the channel was released in a successful way.

http://cgit.osmocom.org/openbsc/commit/?id=0e4e73a8914eb59a9d11a36c001cea0f22b7e8c6

commit 0e4e73a8914eb59a9d11a36c001cea0f22b7e8c6
Author: Holger Hans Peter Freyther <[email-masked]>
Date:   Sat Apr 19 17:38:33 2014 +0200

    rsl: Check if the channel is active and then start the channel release
    
    In case we receive ERROR INDICATION and CONNECTION FAILURE we only
    want to RF Channel Release the lchan once. This code is more simple
    and should work as reliable as the previous commit.

http://cgit.osmocom.org/openbsc/commit/?id=1e93b79cce4702fb79fa4fe8990a1bbcdb97b4f0

commit 1e93b79cce4702fb79fa4fe8990a1bbcdb97b4f0
Author: Holger Hans Peter Freyther <[email-masked]>
Date:   Sat Apr 19 16:45:36 2014 +0200

    rsl: Avoid double channel release procedure in error conditions
    
    When we receive an ERROR INDICATION and CONNECTION FAILURE we
    might call rsl_rf_chan_release multiple times. The channel release
    handling is still a bit messy and there too many paths that lead
    to the call.
    
    1.) In case we receive an ERROR INDICATION for SAPI=3. A RLL
    error signal will be emitted that leads to the release of the
    channel through the SMS code in case of the NITB.  The call to
    rsl_rf_chan_release might be a double release.
    
    2.) In case a CONNECTION FAILURE is received when the release
    process has already been started we would unconditionally
    call rsl_rf_chan_release as well.
    
    Because the lchan state is changed by the callers of the
    rsl_rf_chan_release we can not move the state checking into this
    code but need to do it in the caller. The issue was seen in a trace
    from Rhizomatica and I created the DoubleRelease.st to re-produce
    the issue and verified that we have no duplicate RF Channel Releses.
    
    The other option would be to introduce a new state to track
    the release process and see if we have already released SAPIs
    deactivated the SACCH or such. We can not simply look at these
    as for a channel that fails to activate they will be null already.

http://cgit.osmocom.org/openbsc/commit/?id=f0405068d8e53ecd6126af04e1c96155dce80e82

commit f0405068d8e53ecd6126af04e1c96155dce80e82
Author: Holger Hans Peter Freyther <[email-masked]>
Date:   Sun Apr 6 12:21:05 2014 +0200

    lchan: Speculative "fix" for error and late reply
    
    Looking at the code it seemed possible that a channel would
    transition from BROKEN to NONE. Or worse from NONE to BROKEN.
    Start the timer _after_ the channel has been released.

http://cgit.osmocom.org/openbsc/commit/?id=5308fffc5302ff36317852b7b25ad146376725e0

commit 5308fffc5302ff36317852b7b25ad146376725e0
Author: Holger Hans Peter Freyther <[email-masked]>
Date:   Sat May 31 08:42:29 2014 +0200

    bsc: Introduce a local notification scheme for the CTRL interface
    
    Make it possible to inform local CTRL connections about some state.
    The TRAP will be only sent to local connections. The notification
    text may not contain spaces.

-----------------------------------------------------------------------

Summary of changes:
 openbsc/src/libbsc/abis_rsl.c        | 42 ++++++++++++++++++++++------------
 openbsc/src/osmo-bsc/osmo_bsc_ctrl.c | 44 ++++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+), 15 deletions(-)

hooks/post-receive
-- 
The OpenBSC GSM Base Station Controller (+MSC/HLR/SGSN)